390 浏览
0

pip install tqsdk2 -U -i http://mirrors.aliyun.com/pypi/simple/ –trusted-host=mirrors.aliyun.com
Looking in indexes: http://mirrors.aliyun.com/pypi/simple/
ERROR: Could not find a version that satisfies the requirement tqsdk2 (from versions: none)
ERROR: No matching distribution found for tqsdk2

pip install tqsdk2 http://mirrors.aliyun.com/pypi/simple/ –trusted-host=mirrors.aliyun.com
Collecting http://mirrors.aliyun.com/pypi/simple/
Downloading http://mirrors.aliyun.com/pypi/simple/ (16.1 MB)
|████████████████████████████████| 16.1 MB 6.4 MB/s
ERROR: Cannot unpack file D:\Temp\pip-unpack-qwje1giv\simple.html (downloaded from D:\Temp\pip-req-build-6w4wyhfh, content-type: text/html); cannot detect archive format
ERROR: Cannot determine archive format of D:\Temp\pip-req-build-6w4wyhfh

pip install tqsdk2 -i -U http://mirrors.aliyun.com/pypi/simple/ –trusted-host=mirrors.aliyun.com
WARNING: The index url “-U” seems invalid, please provide a scheme.
Looking in indexes: -U
Collecting http://mirrors.aliyun.com/pypi/simple/
Downloading http://mirrors.aliyun.com/pypi/simple/ (16.1 MB)
|████████████████████████████████| 16.1 MB 6.4 MB/s
ERROR: Cannot unpack file D:\Temp\pip-unpack-8lzcvx5b\simple.html (downloaded from D:\Temp\pip-req-build-x6dyaxms, content-type: text/html); cannot detect archive format
ERROR: Cannot determine archive format of D:\Temp\pip-req-build-x6dyaxms

pip install tqsdk2 -U http://mirrors.aliyun.com/pypi/simple/ –trusted-host=mirrors.aliyun.com
Collecting http://mirrors.aliyun.com/pypi/simple/
Downloading http://mirrors.aliyun.com/pypi/simple/ (16.1 MB)
|████████████████████████████████| 16.1 MB 6.4 MB/s
ERROR: Cannot unpack file D:\Temp\pip-unpack-s5p74s0u\simple.html (downloaded from D:\Temp\pip-req-build-6nxskg3d, content-type: text/html); cannot detect archive format
ERROR: Cannot determine archive format of D:\Temp\pip-req-build-6nxskg3d

已回答的问题
1

pip install -U tqsdk2 -i https://mirrors.aliyun.com/pypi/simple/ -trusted-host=mirrors.aliyun.com

用这个命令安装,是https,不是http

编辑评论

用 https 也不行啊
pip install -U tqsdk2 -i https://mirrors.aliyun.com/pypi/simple/ -trusted-host=mirrors.aliyun.com
Looking in indexes: https://mirrors.aliyun.com/pypi/simple/
ERROR: Could not find a version that satisfies the requirement tqsdk2 (from versions: none)
ERROR: No matching distribution found for tqsdk2

0

https://mirrors.aliyun.com/pypi/simple/tqsdk2/

这个地址都能看到资源啊。

要不直接下载后用命令安装。pip install tqsdk2-1.4.7-cp38-cp38-win_amd64.whl

编辑答案